#include <Wire.h> 
#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x3f, 16, 2);

namespace screen{
    void init();
    void display(char* title, char* text);
}

void screen::init(){
    lcd.begin();
    // Print a message to the LCD.
    lcd.backlight();
    lcd.setCursor(3,0);
    lcd.print("CrabbyHome");
    lcd.setCursor(3,1);
    lcd.print("Activated!");
}

void screen::display(char* title, char* text){
    int titleSize = strlen(title);
    int textSize = strlen(text);
    lcd.clear();
    
    // check if text fits in screen
    if(titleSize <= 16){
        int offset = (16 - titleSize) / 2;
        lcd.setCursor(offset, 0);
    }
    lcd.print(title);
    
    if(textSize <= 16){
        int offset = (16 - textSize) / 2;
        lcd.setCursor(offset, 1);
    }
    lcd.print(text);
}